org.swixml

## Class XGridBagConstraints

- java.lang.Object
- - java.awt.GridBagConstraints
  - - org.swixml.XGridBagConstraints

- All Implemented Interfaces:
    Serializable, Cloneable

      public class XGridBagConstraints
      extends GridBagConstraints

  `XGridBagConstraints` simple extends `GridBagConstraints` to make bean style getters and setters available for all public fields in the GridBagConstraints class.
  Version:
    $Revision: 1.1 $
  Author:
    Wolf Paulus
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.awt.GridBagConstraints

      `ABOVE_BASELINE, ABOVE_BASELINE_LEADING, ABOVE_BASELINE_TRAILING, anchor, BASELINE, BASELINE_LEADING, BASELINE_TRAILING, BELOW_BASELINE, BELOW_BASELINE_LEADING, BELOW_BASELINE_TRAILING, BOTH, CENTER, EAST, fill, FIRST_LINE_END, FIRST_LINE_START, gridheight, gridwidth, gridx, gridy, HORIZONTAL, insets, ipadx, ipady, LAST_LINE_END, LAST_LINE_START, LINE_END, LINE_START, NONE, NORTH, NORTHEAST, NORTHWEST, PAGE_END, PAGE_START, RELATIVE, REMAINDER, SOUTH, SOUTHEAST, SOUTHWEST, VERTICAL, weightx, weighty, WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGridBagConstraints()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAnchor()`
    `int` | `getFill()`
    `int` | `getGridheight()`
    `int` | `getGridwidth()`
    `int` | `getGridx()`
    `int` | `getGridy()`
    `Insets` | `getInsets()`
    `int` | `getIpadx()`
    `int` | `getIpady()`
    `double` | `getWeightx()`
    `double` | `getWeighty()`
    `void` | `setAnchor(int anchor)`
    `void` | `setFill(int fill)`
    `void` | `setGridheight(int gridheight)`
    `void` | `setGridwidth(int gridwidth)`
    `void` | `setGridx(int gridx)`
    `void` | `setGridy(int gridy)`
    `void` | `setInsets(Insets insets)`
    `void` | `setIpadx(int ipadx)`
    `void` | `setIpady(int ipady)`
    `void` | `setWeightx(double weightx)`
    `void` | `setWeighty(double weighty)`

    - ### Methods inherited from class java.awt.GridBagConstraints

      `clone`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XGridBagConstraints

          public XGridBagConstraints()

  - ### Method Detail

    - #### getAnchor

          public int getAnchor()

    - #### setAnchor

          public void setAnchor(int anchor)

    - #### getFill

          public int getFill()

    - #### setFill

          public void setFill(int fill)

    - #### getGridheight

          public int getGridheight()

    - #### setGridheight

          public void setGridheight(int gridheight)

    - #### getGridwidth

          public int getGridwidth()

    - #### setGridwidth

          public void setGridwidth(int gridwidth)

    - #### getGridx

          public int getGridx()

    - #### setGridx

          public void setGridx(int gridx)

    - #### getGridy

          public int getGridy()

    - #### setGridy

          public void setGridy(int gridy)

    - #### getInsets

          public Insets getInsets()

    - #### setInsets

          public void setInsets(Insets insets)

    - #### getIpadx

          public int getIpadx()

    - #### setIpadx

          public void setIpadx(int ipadx)

    - #### getIpady

          public int getIpady()

    - #### setIpady

          public void setIpady(int ipady)

    - #### getWeightx

          public double getWeightx()

    - #### setWeightx

          public void setWeightx(double weightx)

    - #### getWeighty

          public double getWeighty()

    - #### setWeighty

          public void setWeighty(double weighty)

Copyright © 2002 - 2013 - Wolf Paulus - wolfpaulus.com. All rights reserved.